# Constant Field Values

## Contents

- ch.ntb.*

## ch.ntb.*

ch.ntb.usb.USB
Modifier and Type
Constant Field
Value
`public static final int`
`REQ_CLEAR_FEATURE`
`1`
`public static final int`
`REQ_GET_CONFIGURATION`
`8`
`public static final int`
`REQ_GET_DESCRIPTOR`
`6`
`public static final int`
`REQ_GET_INTERFACE`
`10`
`public static final int`
`REQ_GET_STATUS`
`0`
`public static final int`
`REQ_SET_ADDRESS`
`5`
`public static final int`
`REQ_SET_CONFIGURATION`
`9`
`public static final int`
`REQ_SET_DESCRIPTOR`
`7`
`public static final int`
`REQ_SET_FEATURE`
`3`
`public static final int`
`REQ_SET_INTERFACE`
`11`
`public static final int`
`REQ_SYNCH_FRAME`
`12`
`public static final int`
`REQ_TYPE_DIR_DEVICE_TO_HOST`
`128`
`public static final int`
`REQ_TYPE_DIR_HOST_TO_DEVICE`
`0`
`public static final int`
`REQ_TYPE_RECIP_DEVICE`
`0`
`public static final int`
`REQ_TYPE_RECIP_ENDPOINT`
`2`
`public static final int`
`REQ_TYPE_RECIP_INTERFACE`
`1`
`public static final int`
`REQ_TYPE_RECIP_OTHER`
`3`
`public static final int`
`REQ_TYPE_TYPE_CLASS`
`32`
`public static final int`
`REQ_TYPE_TYPE_RESERVED`
`96`
`public static final int`
`REQ_TYPE_TYPE_STANDARD`
`0`
`public static final int`
`REQ_TYPE_TYPE_VENDOR`
`64`
ch.ntb.usb.Usb_Config_Descriptor
Modifier and Type
Constant Field
Value
`public static final int`
`USB_MAXCONFIG`
`8`
ch.ntb.usb.Usb_Descriptor
Modifier and Type
Constant Field
Value
`public static final int`
`USB_DT_CONFIG`
`2`
`public static final int`
`USB_DT_CONFIG_SIZE`
`9`
`public static final int`
`USB_DT_DEVICE`
`1`
`public static final int`
`USB_DT_DEVICE_SIZE`
`18`
`public static final int`
`USB_DT_ENDPOINT`
`5`
`public static final int`
`USB_DT_ENDPOINT_AUDIO_SIZE`
`9`
`public static final int`
`USB_DT_ENDPOINT_SIZE`
`7`
`public static final int`
`USB_DT_HID`
`33`
`public static final int`
`USB_DT_HUB`
`41`
`public static final int`
`USB_DT_HUB_NONVAR_SIZE`
`7`
`public static final int`
`USB_DT_INTERFACE`
`4`
`public static final int`
`USB_DT_INTERFACE_SIZE`
`9`
`public static final int`
`USB_DT_PHYSICAL`
`35`
`public static final int`
`USB_DT_REPORT`
`34`
`public static final int`
`USB_DT_STRING`
`3`
ch.ntb.usb.Usb_Device_Descriptor
Modifier and Type
Constant Field
Value
`public static final int`
`USB_CLASS_AUDIO`
`1`
`public static final int`
`USB_CLASS_COMM`
`2`
`public static final int`
`USB_CLASS_DATA`
`10`
`public static final int`
`USB_CLASS_HID`
`3`
`public static final int`
`USB_CLASS_HUB`
`9`
`public static final int`
`USB_CLASS_MASS_STORAGE`
`8`
`public static final int`
`USB_CLASS_PER_INTERFACE`
`0`
`public static final int`
`USB_CLASS_PRINTER`
`7`
`public static final int`
`USB_CLASS_VENDOR_SPEC`
`255`
ch.ntb.usb.Usb_Endpoint_Descriptor
Modifier and Type
Constant Field
Value
`public static final int`
`USB_ENDPOINT_ADDRESS_MASK`
`15`
`public static final int`
`USB_ENDPOINT_DIR_MASK`
`128`
`public static final int`
`USB_ENDPOINT_TYPE_BULK`
`2`
`public static final int`
`USB_ENDPOINT_TYPE_CONTROL`
`0`
`public static final int`
`USB_ENDPOINT_TYPE_INTERRUPT`
`3`
`public static final int`
`USB_ENDPOINT_TYPE_ISOCHRONOUS`
`1`
`public static final int`
`USB_ENDPOINT_TYPE_MASK`
`3`
`public static final int`
`USB_MAXENDPOINTS`
`32`
ch.ntb.usb.Usb_Interface
Modifier and Type
Constant Field
Value
`public static final int`
`USB_MAXALTSETTING`
`128`
ch.ntb.usb.Usb_Interface_Descriptor
Modifier and Type
Constant Field
Value
`public static final int`
`USB_MAXINTERFACES`
`32`